Package twisted :: Package persisted :: Package journal :: Module base :: Class ICommandLog

[show private | hide private]
[frames | no frames]

## Class ICommandLog

    Interface --+
                |
               ICommandLog

Interface for command log.

Method Summary
| ``getCommandsSince`(self, index)` Return commands who's index >= the given one.
| ``getCurrentIndex`(self)` Return index of last command that was logged.
| ``logCommand`(self, command, runTime)` Add a command and its run time to the log.

Method Details

### getCommandsSince(self, index)

Return commands who's index >= the given one.

  Returns:
    list of (time, command) tuples, sorted with ascending times.

### getCurrentIndex(self)

Return index of last command that was logged.

### logCommand(self, command, runTime)

Add a command and its run time to the log.

  Returns:
    Deferred of command index.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:56 2003 | http://epydoc.sf.net